OBJDIR       = OBJ
RC_FILE      = mail.rc
CAEXE        = mail32.exe
COBJFLAGS    = -5 -c -tW -I$(HRB_DIR)\INCLUDE -d
HARBOURFLAGS = -n -iC:\FWH0415\INCLUDE;$(HRB_DIR)\INCLUDE -dHARBOUR -p
CA_FLAGS     = -tW
INCLUDEDIR   = $(HRB_DIR)\INCLUDE;C:\FWH0415\INCLUDE
HRB_DIR      = C:\DEV
CC           = C:\COMPILER\BCC55\BIN\BCC32.EXE
COMPILER     = C:\DEV\BIN\BCC55\HARBOUR.EXE
FIVE32       = C:\FWH16A\LIB\FIVEH.LIB
HARBOURLIB   = $(HRB_DIR)\LIB\BCC55
FIVEHC       = C:\FWH16A\LIB\FIVEHC.LIB
HARBOURFLAGS = $(HARBOURFLAGS) -dBCC55
MAILLIB      = LIB\MAIL.LIB

$(CAEXE) : $(OBJDIR)\mail.obj       \
           $(OBJDIR)\tsndmail.obj   \
           $(OBJDIR)\smtp.obj       \
           $(RC_FILE)               \
           $(MAILLIB)               \
           $(FIVE32)                \
           $(FIVEHC)                \
           $(HARBOURLIB)\common.lib \
           $(HARBOURLIB)\dbfcdx.lib \
           $(HARBOURLIB)\dbfntx.lib \
           $(HARBOURLIB)\debug.lib  \
           $(HARBOURLIB)\gtwin.lib  \
           $(HARBOURLIB)\macro.lib  \
           $(HARBOURLIB)\nulsys.lib \
           $(HARBOURLIB)\lang.lib   \
           $(HARBOURLIB)\pp.lib     \
           $(HARBOURLIB)\rdd.lib    \
           $(HARBOURLIB)\rtl.lib    \
           $(HARBOURLIB)\vm.lib

   @brc32 -r -d__HARBOUR__ -dBCC55 $(RC_FILE)
   @echo $(OBJDIR)\mail.obj + > b32.bc
   @echo $(OBJDIR)\smtp.obj + >> b32.bc
   @echo $(OBJDIR)\tsndmail.obj + >> b32.bc
   @echo C:\COMPILER\BCC55\LIB\c0w32.obj, + >> b32.bc
   @echo $(CAEXE), + >> b32.bc
   @echo mail.map, + >> b32.bc
   @echo $(MAILLIB) $(FIVE32) $(FIVEHC) + >> b32.bc
   @echo $(HARBOURLIB)\nulsys.lib + >> b32.bc
   @echo $(HARBOURLIB)\rtl.lib + >> b32.bc
   @echo $(HARBOURLIB)\vm.lib + >> b32.bc
   @echo $(HARBOURLIB)\rdd.lib + >> b32.bc
   @echo $(HARBOURLIB)\dbfcdx.lib + >> b32.bc
   @echo $(HARBOURLIB)\dbfntx.lib + >> b32.bc
   @echo $(HARBOURLIB)\gtwin.lib + >> b32.bc
   @echo $(HARBOURLIB)\lang.lib + >> b32.bc
   @echo $(HARBOURLIB)\macro.lib + >> b32.bc
   @echo $(HARBOURLIB)\debug.lib + >> b32.bc
   @echo $(HARBOURLIB)\common.lib + >> b32.bc
   @echo $(HARBOURLIB)\libmisc.lib + >> b32.bc
   @echo $(HARBOURLIB)\pp.lib + >> b32.bc
   @echo C:\COMPILER\BCC55\LIB\cw32.lib + >> b32.bc
   @echo C:\COMPILER\BCC55\LIB\import32.lib, >> b32.bc
   @echo mail.res >> b32.bc
   @ilink32 -aa -Tpe @b32.bc
   @delbat

$(OBJDIR)\mail.c : mail.prg
   $(COMPILER) $(HARBOURFLAGS) $** -o$@

$(OBJDIR)\mail.obj : $(OBJDIR)\mail.c
   $(CC) $(COBJFLAGS) -o$@ $**

$(OBJDIR)\tsndmail.c : tsndmail.prg
   $(COMPILER) $(HARBOURFLAGS) $** -o$@

$(OBJDIR)\tsndmail.obj : $(OBJDIR)\tsndmail.c
   $(CC) $(COBJFLAGS) -o$@ $**

$(OBJDIR)\smtp.obj : smtp.c
   $(CC) $(COBJFLAGS) -o$@ $**
